org.h2.mvstore

## Class MVStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.h2.mvstore.MVStoreException

All Implemented Interfaces:
  java.io.Serializable

    public class MVStoreException
    extends java.lang.RuntimeException

Various kinds of MVStore problems, along with associated error code.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MVStoreException(int errorCode, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MVStoreException

    public MVStoreException(int errorCode,
                            java.lang.String message)

### Method Detail

#### getErrorCode

    public int getErrorCode()